Skip to content

Clone Price Book

POST https://api.secure.quotivity.com/v1/pricebooks/{priceBookId}/clone

Clones a price book.

Send your API key in the x-api-key header. See Generating API keys.

Name Type Required Description
priceBookId string Yes —
Status Body Description
201 PriceBook Price book cloned successfully
401 — Unauthorized
406 — Not acceptable (HubSpot sync error)
500 — Internal Server Error
Field Type Required Description
id string Yes —
accountId string Yes —
name string Yes —
description string Yes —
bundleOptionId string No —
isDeleted boolean No —
effectiveStartDate string No ISO date string (e.g. “2025-01-01”). Requires PRICE_BOOK_EFFECTIVE_DATES feature.
effectiveEndDate string No ISO date string (e.g. “2025-12-31”). Requires PRICE_BOOK_EFFECTIVE_DATES feature.